#
# Conditional build:
%bcond_without	static_libs	# static library
#
Summary:	Open source implementation of ZRTP keys exchange protocol
Summary(pl.UTF-8):	Mająca otwarte źródła implementacja protokołu wymiany kluczy ZRTP
Name:		bzrtp
Version:	5.2.109
Release:	1
License:	GPL v3+
Group:		Libraries
#Source0Download: https://gitlab.linphone.org/BC/public/bzrtp/tags
Source0:	https://gitlab.linphone.org/BC/public/bzrtp/-/archive/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	0f0cc76288315f7d100c2d5b6efa38f5
Patch0:		%{name}-static.patch
Patch1:		%{name}-resetBzrtpContext.patch
URL:		http://www.linphone.org/
BuildRequires:	CUnit
BuildRequires:	bctoolbox-devel >= 4.4.0
BuildRequires:	cmake >= 3.1
BuildRequires:	libxml2-devel >= 2.0
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.748
BuildRequires:	sqlite3-devel >= 3.6.0
Requires:	bctoolbox >= 4.4.0
Requires:	sqlite3 >= 3.6.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bzrtp is an opensource implementation of ZRTP keys exchange protocol. 
The library written in C 89 is fully portable and can be executed on
many platforms including both ARM processor and x86. 

%description -l pl.UTF-8
bzrtp to mająca otwarte źródła implementacja protokołu wymiany kluczy
ZRTP. Napisana w C 89 biblioteka jest w pełni przenośna i może być
wykonywana na wielu platformach, w tym ARM oraz x86.

%package devel
Summary:	Header file for bzrtp library
Summary(pl.UTF-8):	Plik nagłówkowy biblioteki bzrtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header file for bzrtp library.

%description devel -l pl.UTF-8
Plik nagłówkowy biblioteki bzrtp.

%package static
Summary:	Static bzrtp library
Summary(pl.UTF-8):	Statyczna biblioteka bzrtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static bzrtp library.

%description static -l pl.UTF-8
Statyczna biblioteka bzrtp.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
install -d builddir
cd builddir
%cmake .. \
	%{!?with_static_libs:-DENABLE_STATIC=OFF}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C builddir install \
	DESTDIR=$RPM_BUILD_ROOT

# disable completeness check incompatible with split packaging
%{__sed} -i -e '/^foreach(target .*IMPORT_CHECK_TARGETS/,/^endforeach/d; /^unset(_IMPORT_CHECK_TARGETS)/d' $RPM_BUILD_ROOT%{_datadir}/bzrtp/cmake/bzrtpTargets.cmake

# missing from cmake
test ! -f $RPM_BUILD_ROOT%{_pkgconfigdir}/libbzrtp.pc
install -d $RPM_BUILD_ROOT%{_pkgconfigdir}
%{__sed} -e 's,@prefix@,%{_prefix},' \
	-e 's,@exec_prefix@,%{_exec_prefix},' \
	-e 's,@includedir@,%{_includedir},' \
	-e 's,@PACKAGE_VERSION@,%{version},' \
	-e 's,@libdir@,%{_libdir},' libbzrtp.pc.in >$RPM_BUILD_ROOT%{_pkgconfigdir}/libbzrtp.pc

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%attr(755,root,root) %{_libdir}/libbzrtp.so.0

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libbzrtp.so
%{_includedir}/bzrtp
%{_pkgconfigdir}/libbzrtp.pc
%dir %{_datadir}/bzrtp
%{_datadir}/bzrtp/cmake

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libbzrtp.a
%endif
%changelog
* Mon Oct 23 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bzrtp.git;a=log;h=master

* Sun Oct 22 2023 Jan Rękorajski <baggins@pld-linux.org> c0ca59d
- up to 5.2.109

* Wed Apr 19 2023 Jakub Bogusz <qboosh@pld-linux.org> bc85e8c
- updated to 5.2.51
- added patch to restore resetBzrtpContext function (used by linphone 5.1.x suite)

* Sun Apr 09 2023 Jakub Bogusz <qboosh@pld-linux.org> 2f90c89
- updated to 5.2.49

* Thu Jun 17 2021 Jakub Bogusz <qboosh@pld-linux.org> 2ff4942
- updated to 4.5.20
- use build dir separate from "build" directory included in sources

* Tue Jun 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 0232972
- switched build to cmake to get cmake target files (but still keep .pc file)
- added static patch (allow both shared/static targets in cmake)

* Tue Jun 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 04364f5
- updated to 4.5.15

* Mon Jan 04 2021 Jan Rękorajski <baggins@pld-linux.org> 4bb6055
- release 2 (by relup.sh)

* Sat Sep 26 2020 Jakub Bogusz <qboosh@pld-linux.org> 1e49e9a
- updated to 4.4.0 (GPL v3+ now)
- use _ver_ge macro for gcc version comparison to support gcc 10+

* Tue Apr 23 2019 Jakub Bogusz <qboosh@pld-linux.org> 867d29d
- updated dependencies, don't assume gcc>=8

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7331ae4
- rel 3; BR bctoolbox-devel

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> e725190
- rel 2; BR: bctoolbox

* Wed Sep 26 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> fa43ff7
- up to 1.0.6

* Tue Nov 10 2015 Jakub Bogusz <qboosh@pld-linux.org> f05f634
- updated to 1.0.3

* Tue Jul 07 2015 Jakub Bogusz <qboosh@pld-linux.org> ff5ec0a
- new

